develooper Front page | perl.perl5.porters | Postings from May 2010

Re: FW: [PATCH] Fix VOS regexp in makedepend.SH (re: 5.8.x branch)

Thread Previous
From:
Jesse Vincent
Date:
May 25, 2010 13:23
Subject:
Re: FW: [PATCH] Fix VOS regexp in makedepend.SH (re: 5.8.x branch)
Message ID:
20100525202327.GF2514@puppy

Paul,

On Tue 25.May'10 at 16:14:28 -0400, Green, Paul wrote:

> I agree that there isn't much point in just making patches that unbreak
> the build of an unsupported release; I think that putting out a new
> release should provide a rather wide set of assurances; getting it to
> build is the least of the concerns.  Being able to give a nice crisp
> answer ("Perl 5.8 is no longer supported") is far better than giving a
> long and complicated (and ultimately confusing) answer.

...and that's all on me at the moment. I owe the porters and the
community an "authoritative" statement for perlpolicy.pod about what
promises we make about older releases of Perl. If we're going to be
serious about a new major version of Perl each year, we need to be very
clear about what sorts of promises we're making.

-Jesse

> PG
> 

Thread Previous


nntp.perl.org: Perl Programming lists via nntp and http.
Comments to Ask Bjørn Hansen at ask@perl.org | Group listing | About